import Supporting.Random;

public class Lottery
{
    // Generate lottery numbers (from 1-49)
    // Print number of occurrences of each number

    public static final int DIFF_NUMBERS     =   49;
    public static final int NUMBERS_PER_GAME =    6;
    public static final int GAMES            = 1000;

    public static void main( String [ ] args )
    {
        // Generate the numbers
        int [ ] numbers = new int [ DIFF_NUMBERS + 1 ];
        for( int i = 0; i < numbers.length; i++ )
            numbers[ i ] = 0;

        Random r = new Random( );

        for( int i = 0; i < GAMES; i++ )
            for( int j = 0; j < NUMBERS_PER_GAME; j++ )
                numbers[ r.randomInt( 1, DIFF_NUMBERS ) ]++;

        // Output the summary
        for( int k = 1; k <= DIFF_NUMBERS; k++ )
            System.out.println( k + ": " + numbers[ k ] );
    }
}